#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# It is needed because long long atomic operations are not directly
# supported by all processor architectures (like armel)
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
	export LIBS=-Wl,--as-needed -latomic -Wl,--no-as-needed
endif

%:
	dh $@

override_dh_autoreconf:
	python3 etc/makefile_builder.py
	dh_autoreconf
